/*  -*- c -*-
   $RCSfile: canvastriangle.h,v $
   $Revision: 1.2 $
   $Author: reida $
   $Date: 2003/04/02 14:51:55 $  */

/* This software was produced by NIST, an agency of the U.S. government,
 * and by statute is not subject to copyright in the United States.
 * Recipients of this software assume all responsibilities associated
 * with its operation, modification and maintenance. However, to
 * facilitate maintenance we ask that before distributing modified
 * versions of this software, you first contact the authors at
 * oof_manager@ctcms.nist.gov. 
 */

/* Custom canvas item, draws a triangle on the canvas whose 
   size can be specified in pixels.  For starters, the triangle
   is equilateral. */

/* Parameters:
   x               double     read/write   x-coord of center of dot
   y               double     read/write   y-coord of center of dot
   size            uint       read/write   edge size in pixels. 
   angle           double     read/write   rotation angle in radians. */

/* Fill color, stipple, graphics context, and so forth are set 
   from the parent class.  The parent class's outline parameters
   are ignored. */

#ifndef CANVASTRIANGLE_H
#define CANVASTRIANGLE_H

/* This include retrieves just about everything needed. */
#include <gtk-canvas/gtk-canvas-rect-ellipse.h>

BEGIN_GTK_CANVAS_DECLS


#define GTK_CANVAS_TYPE_CANVAS_TRIANGLE    (gtk_canvas_triangle_get_type ())
#define GTK_CANVAS_TRIANGLE(obj)    (GTK_CHECK_CAST((obj), GTK_CANVAS_TYPE_CANVAS_TRIANGLE, GtkCanvasTriangle))
#define GTK_CANVAS_TRIANGLE_CLASS(klass) (GTK_CHECK_CLASS_CAST((klass, GTK_CANVAS_TYPE_CANVAS_TRIANGLE, GtkCanvasTriangle))
#define GTK_CANVAS_IS_CANVAS_TRIANGLE(obj) (GTK_CHECK_TYPE((obj), GTK_CANVAS_TYPE_CANVAS_TRIANGLE))
#define GTK_CANVAS_IS_CANVAS_TRIANGLE_CLASS(klass) (GTK_CHECK_CLASS_TYPE((klass), GTK_CANVAS_TYPE_CANVAS_TRIANGLE))
						

typedef struct _GtkCanvasTriangle      GtkCanvasTriangle;
typedef struct _GtkCanvasTriangleClass GtkCanvasTriangleClass;


struct _GtkCanvasTriangle {
  GtkCanvasRE re;  

  double x, y;
  int size;
  double angle;

};

struct _GtkCanvasTriangleClass {
  GtkCanvasREClass parent_class;
};

/* Standard Gtk function */
GtkType gtk_canvas_triangle_get_type(void);

END_GTK_CANVAS_DECLS

#endif /* CANVASTRIANGLE_H */
