# -*- python -*-
# $RCSfile: displaymethodwidget.py,v $
# $Revision: 1.3 $
# $Author: langer $
# $Date: 2004/05/10 19:13:37 $

# This software was produced by NIST, an agency of the U.S. government,
# and by statute is not subject to copyright in the United States.
# Recipients of this software assume all responsibilities associated
# with its operation, modification and maintenance. However, to
# facilitate maintenance we ask that before distributing modified
# versions of this software, you first contact the authors at
# oof_manager@ctcms.nist.gov. 

from SWIG.common import switchboard
from common import debug
from common.IO import display
from common.IO import whoville
from common.IO.GUI import regclassfactory
from common.IO.GUI import whowidget
from gtk import *

# The DisplayMethodParameterWidget is basically a
# RegisteredClassFactory for DisplayMethods, but it only lists those
# methods that are appropriate for the WhoClass specified in the
# associated WhoClassParameterWidget. DisplayMethod Registrations
# contain a "whoclasses" variable which lists the names of the classes
# to which the method applies.

class DisplayMethodParameterWidget(regclassfactory.RegisteredClassFactory):
    def __init__(self, value, scope):
        self.whoclasswidget = scope.findWidget(
            lambda w: isinstance(w, whowidget.WhoClassParameterWidget))

        self.whowidget = scope.findWidget(
            lambda w: isinstance(w, whowidget.WhoParameterWidget))

        self.whoclassname = self.whoclasswidget.get_value()

        regclassfactory.RegisteredClassFactory.__init__(
            self, display.DisplayMethod.registry, scope=scope)

        if value is not None:
            self.set(value)

        self.sbcallbacks = [
            switchboard.requestCallback(self.whoclasswidget,
                                        self.whoClassChangedCB)
            ]
    def whoClassChangedCB(self, interactive):
        self.whoclassname = self.whoclasswidget.get_value()
        self.update(self.registry)
    def cleanUp(self):
        map(switchboard.removeCallback, self.sbcallbacks)
    def includeRegistration(self, registration):
        return self.whoclassname in registration.whoclasses

def _DisplayMethodParameter_makeWidget(self, scope):
    return DisplayMethodParameterWidget(self.value, scope=scope)

display.DisplayMethodParameter.makeWidget = _DisplayMethodParameter_makeWidget
