# -*- python -*-
# $RCSfile: brushstyle_.py,v $
# $Revision: 1.5 $
# $Author: langer $
# $Date: 2004/04/20 18:29:14 $

# This software was produced by NIST, an agency of the U.S. government,
# and by statute is not subject to copyright in the United States.
# Recipients of this software assume all responsibilities associated
# with its operation, modification and maintenance. However, to
# facilitate maintenance we ask that before distributing modified
# versions of this software, you first contact the authors at
# oof_manager@ctcms.nist.gov. 


from common import cregisteredclass
from common.IO import parameter

cregisteredclass.registerCClass(BrushStylePtr)

circleReg = cregisteredclass.Registration(
    "Circle", BrushStylePtr, CircleBrush, ordering=0,
    params=[parameter.FloatParameter('radius', 0,
                                     tip='Radius of brush profile in physical dimension.')],
    tip="Brush with a circluar profile,")

squareReg = cregisteredclass.Registration(
    "Square", BrushStylePtr, SquareBrush, ordering=1,
    params=[parameter.FloatParameter('size', 0,
                                     tip='Half of side in physical dimension.')],
    tip="Brush with a square profile,")
