# -*- python -*-
# $RCSfile: mainthread.py,v $
# $Revision: 1.3 $
# $Author: langer $
# $Date: 2004/07/14 16:26:37 $

# This software was produced by NIST, an agency of the U.S. government,
# and by statute is not subject to copyright in the United States.
# Recipients of this software assume all responsibilities associated
# with its operation, modification and maintenance. However, to
# facilitate maintenance we ask that before distributing modified
# versions of this software, you first contact the authors at
# oof_manager@ctcms.nist.gov.


# Stuff for identifying the main thread.  Because this file is
# imported and executed by the main thread at startup time,
# mainthreadNumber is the number of the main thread.

from SWIG.common.IO import threadstate

mainthreadNumber = threadstate.findThreadNumber()
mainthreadState = threadstate.findThreadState()

def mainthread():
    return threadstate.findThreadNumber() == mainthreadNumber

############

# Routines for submitting functions to be run in the main thread.

# When not in threaded graphics mode, both run and
# runBlock are just aliases for 'apply'.  In threaded
# graphics mode, they execute the given function on the main thread.
# run doesn't wait for an answer, so it can't return a
# value.  runBlock does wait, so it does return a value.


def _run(func, args=(), kwargs={}):
    apply(func, args, kwargs)

def _runBlock(func, args=(), kwargs={}):
    return apply(func, args, kwargs)

# These variables get overwritten by mainthreadGUI, when it's imported.
run = _run

runBlock = _runBlock
