// -*- C++ -*-
// $RCSfile: freedom.C,v $
// $Revision: 1.7 $
// $Author: reida $
// $Date: 2004/07/12 15:28:09 $

/* This software was produced by NIST, an agency of the U.S. government,
 * and by statute is not subject to copyright in the United States.
 * Recipients of this software assume all responsibilities associated
 * with its operation, modification and maintenance. However, to
 * facilitate maintenance we ask that before distributing modified
 * versions of this software, you first contact the authors at
 * oof_manager@ctcms.nist.gov. 
 */

#include <oofconfig.h>
#include "freedom.h"
#include "common/tostring.h"
#include <string>

using namespace std;

DegreeOfFreedom::DegreeOfFreedom(double x, int ind)
  : value_(x),
    flags(0),
    nfix(0),
    index_(ind)
{}

// void DegreeOfFreedom::setflag(const DOFFLAG f) {
//   flags_.set(f);
//   //  if(f & FIX_VALUE) nfix++;
// }

// void DegreeOfFreedom::setflag(const FreedomFlags &fl) {
//   flags_.set(fl);
//   //  if(fl.fixed()) nfix++;
// }

// void DegreeOfFreedom::clearflag(const DOFFLAG f) {
//   //  if(f & FIX_VALUE) nfix--;
//   flags_.clear(f);
// }

// void DegreeOfFreedom::clearflag(const FreedomFlags &fl) {
//   //  if(fl.fixed()) nfix--;
//   flags_.clear(fl);
// }

// void DegreeOfFreedom::setflags(const DegreeOfFreedom &dof) {
//   flags_ = dof.flags_;
//   nfix = dof.nfix;
// }

string DegreeOfFreedom::flagstr() const {
  string s;
  if(!isfree())
    s = "fixed(" + to_string(nfix) + ")";
  else
    s = "free";
  //  s += "/" + tag();
  return s;
}

//=\\=//=\\=//=\\=//=\\=//=\\=//=\\=//=\\=//=\\=//=\\=//=\\=//=\\=//

ostream &operator<<(ostream &os, const DegreeOfFreedom &dof) {
  os << "[" << dof.dofindex();
  if(!dof.isfree())
    os << " fixed, ";
  else
    os << " free, ";
  if(!dof.active())
    os << "inactive";
  else
    os << "active";
  os << "]";
  return os;
}

// ostream &operator<<(ostream &os, const FreedomFlags &ff) {
//   if(ff.fixed())
//     os << "fixed";
//   else
//     os << "free";
//   return os;
// }

