// -*- C++ -*-
// $RCSfile: ooferror.C,v $
// $Revision: 1.4 $
// $Author: reida $
// $Date: 2004/03/24 19:21:03 $

/* This software was produced by NIST, an agency of the U.S. government,
 * and by statute is not subject to copyright in the United States.
 * Recipients of this software assume all responsibilities associated
 * with its operation, modification and maintenance. However, to
 * facilitate maintenance we ask that before distributing modified
 * versions of this software, you first contact the authors at
 * oof_manager@ctcms.nist.gov. 
 */

#include <oofconfig.h>

#include "engine/ooferror.h"

std::string ErrNoSuchField::pythonequiv() const {
  return "ErrNoSuchField('" + field + "')";
}

std::string ErrDuplicateField::pythonequiv() const {
  return
    "ErrDuplicateField('" + field + "','" + newtype + "','" + oldtype + "')";
}

ErrNoSuchProperty::ErrNoSuchProperty(const std::string &mat,
				     const std::string &prop)
  : material(mat), propname(prop),
    ErrUserError("Material '" + mat + "' has no property of type '" + prop + "'.")
{}

std::string ErrNoSuchProperty::pythonequiv() const {
  return "ErrNoSuchProperty('" + material + "', '" + propname + "')";
}


