// -*- C++ -*-
// $RCSfile: skelstiffness.h,v $
// $Revision: 1.2 $
// $Author: redwing $
// $Date: 2004/09/20 20:58:10 $

/* This software was produced by NIST, an agency of the U.S. government,
 * and by statute is not subject to copyright in the United States.
 * Recipients of this software assume all responsibilities associated
 * with its operation, modification and maintenance. However, to
 * facilitate maintenance we ask that before distributing modified
 * versions of this software, you first contact the authors at
 * oof_manager@ctcms.nist.gov. 
 */

#ifndef SKELSTIFFNESS_H
#define SKELSTIFFNESS_H

#include "engine/property/elasticity/elasticity.h"
#include "engine/property/elasticity/cijkl.h"
#include <string>

class ScalarField;

class SkeletonStiffness : public Elasticity {
private:
  Cijkl cijkl_;
public:
  SkeletonStiffness(PyObject *registry, const std::string &name, 
		    Cijkl *c);
  virtual ~SkeletonStiffness() {}
  Cijkl *cijkl_pointer() { return &cijkl_; }
  const Cijkl cijkl(const FEMesh *, const Element *, 
		    const MasterPosition &) const;

protected:
  ScalarField *temperature;
};

#endif
